summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild')
-rw-r--r--dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild b/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
new file mode 100644
index 000000000000..0eb354ca1b47
--- /dev/null
+++ b/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+inherit multilib ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="NEWS README.md ChangeLog"
+
+DESCRIPTION="A Ruby library for Oracle OCI8"
+HOMEPAGE="https://rubygems.org/gems/ruby-oci8/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND+=" dev-db/oracle-instantclient-basic"
+DEPEND+=" dev-db/oracle-instantclient-basic"
+
+EXT_DIR="ext/oci8"
+
+each_ruby_configure() {
+ # configure the native libraries
+ ${RUBY} -C${EXT_DIR} extconf.rb --prefix="${D}/usr" || die "configure failed"
+}
+
+each_ruby_compile() {
+ # compile the native libraries
+ emake -C ${EXT_DIR} V=1
+}
+
+each_ruby_install() {
+ # install the native libraries
+ emake -C ${EXT_DIR} install DESTDIR="${D}"
+ # install the gem files
+ each_fakegem_install
+}